=== debian/changelog ===
ocaml-markup (1.0.3-1build5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:48:38 +0200

ocaml-markup (1.0.3-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:38:07 +0200

ocaml-markup (1.0.3-1build3) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:38:22 -0400

ocaml-markup (1.0.3-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:05:12 +0100

ocaml-markup (1.0.3-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:02:11 +0100

ocaml-markup (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #1093660)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 21 Jan 2025 01:12:18 +0100
