=== debian/control ===
Source: ocaml-markup
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libuchar-ocaml-dev,
 libuutf-ocaml-dev,
 liblwt-ocaml-dev,
 libbisect-ppx-ocaml-dev <!nocheck>,
 libounit-ocaml-dev <!nocheck>,
 dh-ocaml (>= 1.2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/aantron/markup.ml
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-markup.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-markup

Package: libmarkup-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: error-recovering functional HTML5 and XML parsers and writers (dev files)
 Markup.ml provides an HTML parser and an XML parser. The parsers are
 wrapped in a simple interface: they are functions that transform byte
 streams to parsing signal streams. Streams can be manipulated in
 various ways, such as processing by fold, filter, and map, assembly
 into DOM tree structures, or serialization back to HTML or XML.
 .
 Both parsers are based on their respective standards. The HTML
 parser, in particular, is based on the state machines defined in
 HTML5.
 .
 The parsers are error-recovering by default, and accept
 fragments. This makes it very easy to get a best-effort parse of some
 input. The parsers can, however, be easily configured to be strict,
 and to accept only full documents.
 .
 Apart from this, the parsers are streaming (do not build up a
 document in memory), non-blocking (can be used with threading
 libraries), lazy (do not consume input unless the signal stream is
 being read), and process the input in a single pass. They
 automatically detect the character encoding of the input stream, and
 convert everything to UTF-8.
 .
 This package contains development files.

Package: libmarkup-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: error-recovering functional HTML5 and XML parsers and writers (runtime)
 Markup.ml provides an HTML parser and an XML parser. The parsers are
 wrapped in a simple interface: they are functions that transform byte
 streams to parsing signal streams. Streams can be manipulated in
 various ways, such as processing by fold, filter, and map, assembly
 into DOM tree structures, or serialization back to HTML or XML.
 .
 Both parsers are based on their respective standards. The HTML
 parser, in particular, is based on the state machines defined in
 HTML5.
 .
 The parsers are error-recovering by default, and accept
 fragments. This makes it very easy to get a best-effort parse of some
 input. The parsers can, however, be easily configured to be strict,
 and to accept only full documents.
 .
 Apart from this, the parsers are streaming (do not build up a
 document in memory), non-blocking (can be used with threading
 libraries), lazy (do not consume input unless the signal stream is
 being read), and process the input in a single pass. They
 automatically detect the character encoding of the input stream, and
 convert everything to UTF-8.
 .
 This package contains runtime files.

Package: libmarkup-lwt-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: adapter between Markup.ml and Lwt (dev files)
 Markup.ml provides an HTML parser and an XML parser. The parsers are
 wrapped in a simple interface: they are functions that transform byte
 streams to parsing signal streams. Streams can be manipulated in
 various ways, such as processing by fold, filter, and map, assembly
 into DOM tree structures, or serialization back to HTML or XML.
 .
 Both parsers are based on their respective standards. The HTML
 parser, in particular, is based on the state machines defined in
 HTML5.
 .
 The parsers are error-recovering by default, and accept
 fragments. This makes it very easy to get a best-effort parse of some
 input. The parsers can, however, be easily configured to be strict,
 and to accept only full documents.
 .
 Apart from this, the parsers are streaming (do not build up a
 document in memory), non-blocking (can be used with threading
 libraries), lazy (do not consume input unless the signal stream is
 being read), and process the input in a single pass. They
 automatically detect the character encoding of the input stream, and
 convert everything to UTF-8.
 .
 This package contains the adapter between Markup.ml and Lwt.
 .
 This package contains development files.

Package: libmarkup-lwt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: adapter between Markup.ml and Lwt (runtime)
 Markup.ml provides an HTML parser and an XML parser. The parsers are
 wrapped in a simple interface: they are functions that transform byte
 streams to parsing signal streams. Streams can be manipulated in
 various ways, such as processing by fold, filter, and map, assembly
 into DOM tree structures, or serialization back to HTML or XML.
 .
 Both parsers are based on their respective standards. The HTML
 parser, in particular, is based on the state machines defined in
 HTML5.
 .
 The parsers are error-recovering by default, and accept
 fragments. This makes it very easy to get a best-effort parse of some
 input. The parsers can, however, be easily configured to be strict,
 and to accept only full documents.
 .
 Apart from this, the parsers are streaming (do not build up a
 document in memory), non-blocking (can be used with threading
 libraries), lazy (do not consume input unless the signal stream is
 being read), and process the input in a single pass. They
 automatically detect the character encoding of the input stream, and
 convert everything to UTF-8.
 .
 This package contains the adapter between Markup.ml and Lwt.
 .
 This package contains runtime files.
