=== debian/watch ===
version=4
https://github.com/aantron/markup.ml/tags .*/v?(.*)\.tar\.gz
